<?php
require_once './Control/ControlParceria.php';
require_once './Util/formAjax/FormAjax.php';
extract($_POST);
if (isset($pcpk))
{
    $pk = $pcpk;
}
$controlParceria = new ControlParceria();
if ($acao == 'inserir')
{
	$parCat = new Parcatlink();
} else
{
	$parCat = $controlParceria->pegarUmParCat($pk);
}
if ($acao != 'excluir')
{
    //$foto->lang = $lang;
    $parCat->setParceriaid($parceriaid);
    $parCat->setParceriacategoriaid(stripslashes($cbCategoriaID));
    switch ($acao) {	
            case 'alterar':
                    $retorno = $controlParceria->salvarParCat($parCat);
                    break;
            case 'inserir':
                    $retorno = $controlParceria->salvarParCat($parCat);
                    $acao = 'alterar';
                    $parCat->find(true);
                    $pk = $parCat->getParcatid();
                    break;
    }
    if ($retorno == 0)
    {
        echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
    } else
    {   
        echo 'Registro foi salvo com sucesso!';
        $codJava = 'mostrarArquivoDados(\'' . $arqFrm .'\',\'#divCategoria\',\'acao=alterar&pk=' . $pk . '&lang=ptbr\');';
        echo '<script>' . $codJava . '</script>';
    }
} else {
        $retorno = $controlParceria->excluirParCat($parCat);
        if ($retorno == 0)
        {
            echo '<h1>Ops!</h1><p>Ocorreu algum erro!</p>';
        } else
        {   
            echo 'Registro com ID: ' . $pk . ' excluido com sucesso!';
            $codJava = '$("#parCatLinkID_'. $pk . '").remove();';
            echo '<script>' . $codJava . '</script>';
        }
}
?>